/* $Id: SpreadPopupMenu.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.swingui;

import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

import smart_gs.logical.SpreadDirectory;

@SuppressWarnings("serial")
public class SpreadPopupMenu extends JPopupMenu{
	
	private SpreadDirectory parent;
	
	public SpreadPopupMenu(SpreadDirectory parent){
		this.parent = parent;
		JMenu newMenu = new JMenu("New");
		JMenuItem createMemo = new JMenuItem("create text document");
		createMemo.addActionListener(new CreateMemoAction(this.parent));
		newMenu.add(createMemo);
		
		this.add(newMenu);
	}
}
